import {z} from 'zod'

export const AwsLambdaDefaultEnvironmentVariables = z.object({
  _HANDLER: z.string(),
  _X_AMZN_TRACE_ID: z.string(),
  AWS_DEFAULT_REGION: z.string(),
  AWS_REGION: z.string(),
  AWS_EXECUTION_ENV: z.string(),
  AWS_LAMBDA_FUNCTION_NAME: z.string(),
  AWS_LAMBDA_FUNCTION_MEMORY_SIZE: z.string(),
  AWS_LAMBDA_FUNCTION_VERSION: z.string(),
  AWS_LAMBDA_INITIALIZATION_TYPE: z.string(),
  AWS_LAMBDA_LOG_GROUP_NAME: z.string(),
  AWS_ACCESS_KEY: z.string(),
  AWS_LAMBDA_RUNTIME_API: z.string(),
  LAMBDA_TASK_ROOT: z.string(),
  LAMBDA_RUNTIME_DIR: z.string(),
})
export type AwsLambdaDefaultEnvironmentVariables = z.infer<typeof AwsLambdaDefaultEnvironmentVariables>
